Interpreter
GET
Returns information about all user-created interpreter contexts (excludes default context)
OK
application/json- response
contexts*array<>curl -X GET 'https://example.com/process/interpreter/context'{ "contexts": [ { "active": true, "createdAt": "string", "cwd": "string", "id": "string", "language": "string" } ]}POST
Creates a new isolated interpreter context with optional working directory and language
Context configuration
application/json- body
cwd?stringlanguage?stringOK
application/json- response
active*booleancreatedAt*stringcwd*stringid*stringlanguage*stringcurl -X POST 'https://example.com/process/interpreter/context' \ -H 'Content-Type: application/json' \ -d '{}'{ "active": true, "createdAt": "string", "cwd": "string", "id": "string", "language": "string"}DELETE
Deletes an interpreter context and shuts down its worker process
id*stringContext ID
OK
application/json- response
[key: string]?stringcurl -X DELETE 'https://example.com/process/interpreter/context/string'{ "property1": "string", "property2": "string"}GET
Executes code in a specified context (or default context if not specified) via WebSocket streaming
Switching Protocols
response?stringapplication/jsoncurl -X GET 'https://example.com/process/interpreter/execute'"string"